local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.HerbalismLevelling(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Herbalism Levelling Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



 --[[ Introduction ]]--

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Herbalism:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
 --[[ Shadowlands ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("you will need to learn Herbalism in Oribos for Shadowlands. In regards to levelling farming in Maldraxxus for Marrowroot.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local SLHerbWay = AceGUI:Create("Button")
  SLHerbWay:SetText("Trainer Waypoint")
  SLHerbWay:SetWidth(350)
  scroll:AddChild(SLHerbWay)
  SLHerbWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 40.1 38.2") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local SLHerbRoute = AceGUI:Create("Button")
  SLHerbRoute:SetText("Import Route")
  SLHerbRoute:SetWidth(350)
  scroll:AddChild(SLHerbRoute)
  SLHerbRoute:SetCallback("OnClick", function() 

  core.MarrowrootImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
 --[[ Battle For Azeroth ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For the beginning you will need to learn the basic Kul'tiran or Zandalari Herbalism. Next we will be wanting to start farming in Tiraguard sound for starting off with Alliance and with Horde it would be Vol'Dun this is so when a quest pops for there respective herbs you are able to go back to your capital city and complete said quests faster. However this may take a while to level up your skill points while ranking your herbs so pay that in mind but ones this is complete for those respective zones you will need to switch to the other zone ( Horde would go to Alliance and Alliance would go to Horde ).")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local BFAHerbWayHorde = AceGUI:Create("Button")
  BFAHerbWayHorde:SetText("Trainer Waypoint:".." Horde")
  BFAHerbWayHorde:SetWidth(350)
  scroll:AddChild(BFAHerbWayHorde)
  BFAHerbWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 42.2 35.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFAHerbWayAlliance = AceGUI:Create("Button")
  BFAHerbWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  BFAHerbWayAlliance:SetWidth(350)
  scroll:AddChild(BFAHerbWayAlliance)
  BFAHerbWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 70.6 5.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local BFAHerbRoute = AceGUI:Create("Button")
  BFAHerbRoute:SetText("Import Route")
  BFAHerbRoute:SetWidth(350)
  scroll:AddChild(BFAHerbRoute)  
  BFAHerbRoute:SetCallback("OnClick", function() 

  core.AkundasBiteImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff 1 - 175")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Zin'anthid, a herb that can only be farmed in Nazjatar and can sell for a decent chunk even today but this does come with a catch. Ranking your Zin'anthid will be easy and much like the ones you did prior to this for rank one but for rank two it is a little different. With learning rank two this will require you to obtain the “germinating seed”, you should have this while levelling up your skill point with rank one. This is then used to spawn a rare in the zone called “Carnivorous Lasher” which can be found in Nazjatar at coordinates 54.8 41.8. You will then need to spawn this rare by using this seed and thus once defeated you will be rewarded with your rank two in Zin'anthid.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local BFAHerbWayHorde2 = AceGUI:Create("Button")
  BFAHerbWayHorde2:SetText("Trainer Waypoint:".." Horde")
  BFAHerbWayHorde2:SetWidth(350)
  scroll:AddChild(BFAHerbWayHorde2)
  BFAHerbWayHorde2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 42.2 35.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFAHerbWayAlliance2 = AceGUI:Create("Button")
  BFAHerbWayAlliance2:SetText("Trainer Waypoint:".." Alliance")
  BFAHerbWayAlliance2:SetWidth(350)
  scroll:AddChild(BFAHerbWayAlliance2)
  BFAHerbWayAlliance2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 70.6 5.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFAHerbRank2 = AceGUI:Create("Button")
  BFAHerbRank2:SetText("Rank 2: Rare Elite Waypoint")
  BFAHerbRank2:SetWidth(350)
  scroll:AddChild(BFAHerbRank2)
  BFAHerbRank2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 54.8 41.8") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local BFAHerbRoute2 = AceGUI:Create("Button")
  BFAHerbRoute2:SetText("Import Route")
  BFAHerbRoute2:SetWidth(350)
  scroll:AddChild(BFAHerbRoute2)  
  BFAHerbRoute2:SetCallback("OnClick", function() 

  core.ZinanthidImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Legion ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is done by farming all the zones for there specific herbs which are, Dreamleaf in Val'Sharah, Aethril in Azsuna, Foxflower in High Mountain, Fjarnskaggl in Stormheim and Starlight Rose within Suramar.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc) 
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff Item Ranks")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Each of these zone you will need to farm and this will take you more time to rank up because when you go to one of these zone say for instance Azsuna for Aethril you will need to start farming this until you loot an item for your ranks. This happen for a total of three time and it will requires you to do a quest in order to reach that rank. This happens for every herb in this zone bringing a total of fifteen quests to do and farm for to max out Legion Herbalism.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local LegionHerbWay = AceGUI:Create("Button")
  LegionHerbWay:SetText("Trainer Waypoint")
  LegionHerbWay:SetWidth(350)
  scroll:AddChild(LegionHerbWay)
  LegionHerbWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 42.8 33.8") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local LegionHerbRoute = AceGUI:Create("Button")
  LegionHerbRoute:SetText("Import Route")
  LegionHerbRoute:SetWidth(350)
  scroll:AddChild(LegionHerbRoute)  
  LegionHerbRoute:SetCallback("OnClick", function() 

  core.DreamleafImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 

 --[[ Warlords of Dreanor ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Warlords of Dreanor, you will be wanting to make your way over towards Tannan Jungle and as such farm until you are max skill. This is a fairly straight forward levelling process and will be one of the fastest to max out.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local WODHerbRoute = AceGUI:Create("Button")
  WODHerbRoute:SetText("Import Route")
  WODHerbRoute:SetWidth(350)
  scroll:AddChild(WODHerbRoute) 
  WODHerbRoute:SetCallback("OnClick", function() 

core.FireweedImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  
 --[[ Mists of Pandaria ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Jumping into Mop Levelling you will be wanting to first make your way over towards The Jade Forest to learn Mop Herb Skill.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("After Step 2 is complete, make your way over towards The Valley of The Four Winds and Farm the Route until you reach max skill cap.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MOPHerbWay = AceGUI:Create("Button")
  MOPHerbWay:SetText("Trainer Waypoint")
  MOPHerbWay:SetWidth(350)
  scroll:AddChild(MOPHerbWay)
  MOPHerbWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way The Jade Forest 45.4 86.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local MOPHerbRoute = AceGUI:Create("Button")
  MOPHerbRoute:SetText("Import Route")
  MOPHerbRoute:SetWidth(350)
  scroll:AddChild(MOPHerbRoute) 
  MOPHerbRoute:SetCallback("OnClick", function() 

core.SilkweedImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Cataclysm ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In order to start with Cataclysm Herbalism, make your way over towards your capital city and learn the Cataclysm Skill. Then all you will need to do is make your way over towards Uldum farming whiptail.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local CataHerbWayHorde = AceGUI:Create("Button")
  CataHerbWayHorde:SetText("Trainer Waypoint:".." Horde")
  CataHerbWayHorde:SetWidth(350)
  scroll:AddChild(CataHerbWayHorde)
  CataHerbWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 54.8 50.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local CataHerbWayAlliance = AceGUI:Create("Button")
  CataHerbWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  CataHerbWayAlliance:SetWidth(350)
  scroll:AddChild(CataHerbWayAlliance)
  CataHerbWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 54.6 83.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local CataHerbRoute = AceGUI:Create("Button")
  CataHerbRoute:SetText("Import Route")
  CataHerbRoute:SetWidth(350)
  scroll:AddChild(CataHerbRoute)
  CataHerbRoute:SetCallback("OnClick", function() 

core.WhiptailImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Wrath of the Lich King ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("You will need to Learn Northrend Herbalism in the Northrend Dalaran, once this is comeplete you'll need to farm Herbs in the Wintergrasp Zone as this will provide you with alot more herbs for your time meaning you'll be able to max out this skill in know time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local WotlkHerbWay = AceGUI:Create("Button")
  WotlkHerbWay:SetText("Trainer Waypoint")
  WotlkHerbWay:SetWidth(350)
  scroll:AddChild(WotlkHerbWay)
  WotlkHerbWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 42.8 33.8") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local WotlkHerbRoute = AceGUI:Create("Button")
  WotlkHerbRoute:SetText("Import Route")
  WotlkHerbRoute:SetWidth(350)
  scroll:AddChild(WotlkHerbRoute)
  WotlkHerbRoute:SetCallback("OnClick", function() 

core.IcethornImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ The Burning Crusade ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Head over towards the Lower City and Learn Outland Herbalism, after this is complete make your way over towards Terrokar Forest and farm the area until you are max skill cap.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local TBCHerbWay = AceGUI:Create("Button")
  TBCHerbWay:SetText("Trainer Waypoint")
  TBCHerbWay:SetWidth(350)
  scroll:AddChild(TBCHerbWay)
  TBCHerbWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Shattrath City 38.2 71.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local TBCHerbRoute = AceGUI:Create("Button")
  TBCHerbRoute:SetText("Import Route")
  TBCHerbRoute:SetWidth(350)
  scroll:AddChild(TBCHerbRoute)
  TBCHerbRoute:SetCallback("OnClick", function() 

core.DreamingGloryImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Vanilla ]]--

  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 300")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("If you are looking for which trainer to go to for starting farming with Vanilla then I would suggest going to Stormwind or Orgrimmar and speaking to the respective trainer either if you are Alliance or Horde. For vanilla levelling and gold farming a spot that would be a go to for Herbalism and Mining is Felwood. This is single handedly one of the best farming spots in the game as this has a keynote item that comes from there which is Gromsblood.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local VanillaHerbWayHorde = AceGUI:Create("Button")
  VanillaHerbWayHorde:SetText("Trainer Waypoint:".." Horde")
  VanillaHerbWayHorde:SetWidth(350)
  scroll:AddChild(VanillaHerbWayHorde)
  VanillaHerbWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 54.8 50.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local VanillaHerbWayAlliance = AceGUI:Create("Button")
  VanillaHerbWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  VanillaHerbWayAlliance:SetWidth(350)
  scroll:AddChild(VanillaHerbWayAlliance)
  VanillaHerbWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 54.6 83.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local VanillaHerbRoute = AceGUI:Create("Button")
  VanillaHerbRoute:SetText("Import Route")
  VanillaHerbRoute:SetWidth(350)
  scroll:AddChild(VanillaHerbRoute) 
  VanillaHerbRoute:SetCallback("OnClick", function() 

core.GromsbloodImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  
  
end